/* db-detail.p  */

DEFINE TEMP-TABLE tt-db        NO-UNDO LIKE _Db.
DEFINE TEMP-TABLE tt-db-detail NO-UNDO LIKE _Db-detail.

DEFINE DATA-SOURCE dsrc-db FOR _db.
DEFINE DATA-SOURCE dsrc-db-detail FOR _Db-detail.

DEFINE DATASET pds-db-detail FOR tt-db, tt-db-detail.

BUFFER tt-db:ATTACH-DATA-SOURCE(DATA-SOURCE dsrc-db:HANDLE).
BUFFER tt-db-detail:ATTACH-DATA-SOURCE(DATA-SOURCE dsrc-db-detail:HANDLE).

DATASET pds-db-detail:FILL().

FOR EACH tt-db NO-LOCK:
    DISPLAY tt-db._db-name 
            tt-db._db-type
            tt-db._db-guid 
        WITH FRAME f-db
            2 DOWN.
END. 

FOR EACH tt-db-detail NO-LOCK:
    DISPLAY tt-db-detail._Db-description    FORMAT "X(15)"       
            tt-db-detail._Db-guid              
        WITH FRAME f-db-detail 
            1 COL
            2 DOWN.
END. 